Subject: Re: [RFC PATCH] Add bridge ifindex to bridge fdb notify msgs

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 27 May 2014 17:57:13 -0400

Just to be clear - I meant i dont see its usefulness in a set
(definitely useful in notify and get/dump).

cheers,
jamal

On 05/27/14 17:51, Jamal Hadi Salim wrote:

> I think it is useful for symettry purposes to have both directions
> have NDA_MASTER; but other than that, I dont see any purpose NDA_MASTER
> serves. A bridge port is specified on the ndm msg to the kernel.
> A bridge port can only belong to one master.
> The kernel can deduce that already.
> Infact i think specifying the NDA_MASTER may cause problems when
> the specified NDA_MASTER is not the bridge to which the bridge port
> belongs to....
>
> cheers,
> jamal
>